package com.gic.haoban.manage.api.service.hm;

import java.util.List;

import com.gic.haoban.manage.api.dto.hm.HmLinkDTO;
import com.gic.haoban.manage.api.dto.hm.HmLinkStoreDTO;

/**
 * 
* @ClassName: HmLinkApiService
* @Description: 活码链接
* @author xugh
* @date 2022年7月1日 下午2:24:40
*
 */
public interface HmLinkApiService {

    public HmLinkDTO getByLinkId(Long linkId);
    
    /**
     * 
    * @Title: listForSms
    * @Description: 营销短信-查询专用链接
    * @author xugh
    * @param wxEnterpriseId
    * @param enterprieId
    * @param linkName
    * @return
    * @throws
     */
    public List<HmLinkDTO> listForSms(String wxEnterpriseId, String enterprieId, String linkName);

    public HmLinkDTO save(HmLinkDTO dto, List<HmLinkStoreDTO> stoerList);
}
