package com.gic.haoban.manage.service.service.out.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.haoban.manage.api.dto.KeyDataDTO;
import com.gic.haoban.manage.api.enums.KeyDataEnum;
import com.gic.haoban.manage.api.service.KeyDataApiService;
import com.gic.haoban.manage.service.service.KeyDataService;

@Service("keyDataApiService")
public class KeyDataApiServiceImpl implements KeyDataApiService {

    @Autowired
    private KeyDataService keyDataService;

    @Override
    public KeyDataDTO saveData(String data, KeyDataEnum dataEnum) {
        return this.keyDataService.saveData(data, dataEnum);
    }

    @Override
    public String getDataByKey(String key, KeyDataEnum dataEnum) {
        KeyDataDTO data = this.keyDataService.getDataByKey(key, dataEnum);
        if (null != data) {
            return data.getData();
        }
        return null;
    }

}
